> For the complete documentation index, see [llms.txt](https://docs.compendium.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.compendium.finance/pendax/using-pendax-sdk/bybit-functions/spot-leverage-token.md).

# Spot Leverage Token

{% hint style="warning" %}
**All parameters  of type INTEGER listed in the Bybit API docs need to be passed in as a string.**
{% endhint %}

## Get Leverage Token Info

{% hint style="info" %}
Please refer to the official ByBit API Docs for the required parameters.

<https://bybit-exchange.github.io/docs/v5/lt/leverage-token-info>
{% endhint %}

#### Function name:

```javascript
getLeverageTokenInfo(options)
```

#### Usage:&#x20;

```javascript
import { createExchange } from "./exchanges/exchange.js";

  let myByBitAccount = createExchange({
      exchange: "bybit",
      authenticate: "true",
      key: "myKeys",
      secret: "mySecret",
      label: "bybit",
      testnet: "false"
});

async function getLeverageTokenInfo(exchange, options) {
    try {
        let result = await exchange.getLeverageTokenInfo(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

const result = await getLeverageTokenInfo(myByBitAccount);
```

## Get Leveraged Token Market

{% hint style="info" %}
Please refer to the official ByBit API Docs for the required parameters.

<https://bybit-exchange.github.io/docs/v5/lt/leverage-token-reference>
{% endhint %}

#### Function name:

```javascript
getLeveragedTokenMarket(options)
```

#### Usage:&#x20;

```javascript
import { createExchange } from "./exchanges/exchange.js";

  let myByBitAccount = createExchange({
      exchange: "bybit",
      authenticate: "true",
      key: "myKeys",
      secret: "mySecret",
      label: "bybit",
      testnet: "false"
});

async function getLeveragedTokenMarket(exchange, options) {
    try {
        let result = await exchange.getLeveragedTokenMarket(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

const result = await getLeveragedTokenMarket(myByBitAccountc,
    {
       ltCoin: "BTC3S"
    });
```

## Purchase

{% hint style="warning" %}
This function is under construction and may not behave as expected
{% endhint %}

{% hint style="info" %}
Please refer to the official ByBit API Docs for the required parameters.

<https://bybit-exchange.github.io/docs/v5/lt/purchase>
{% endhint %}

#### Function name:

```javascript
purchaseLeverageToken(options)
```

#### Usage:&#x20;

```javascript
import { createExchange } from "./exchanges/exchange.js";

  let myByBitAccount = createExchange({
      exchange: "bybit",
      authenticate: "true",
      key: "myKeys",
      secret: "mySecret",
      label: "bybit",
      testnet: "false"
});

async function purchaseLeverageToken(exchange, options) {
    try {
        let result = await exchange.purchaseLeverageToken(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

const result = await purchaseLeverageToken(myByBitAccount,
    {
        ltCoin: "BTC3L",
        ltAmount: ".001"
    });
```

## Redeem

{% hint style="warning" %}
This function is under construction and may not behave as expected
{% endhint %}

{% hint style="info" %}
Please refer to the official ByBit API Docs for the required parameters.

<https://bybit-exchange.github.io/docs/v5/lt/redeem>
{% endhint %}

#### Function name:

```javascript
redeemLeverageToken(options)
```

#### Usage:&#x20;

```javascript
import { createExchange } from "./exchanges/exchange.js";

  let myByBitAccount = createExchange({
      exchange: "bybit",
      authenticate: "true",
      key: "myKeys",
      secret: "mySecret",
      label: "bybit",
      testnet: "false"
});

async function redeemLeverageToken(exchange, options) {
    try {
        let result = await exchange.redeemLeverageToken(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

const result = await redeemLeverageToken(myByBitAccount, 
    {
       ltCoin: "BTC3L",
       quantity: "0.001"
     });
```

## Get Purchase/Redemption Records

{% hint style="warning" %}
This function is under construction and may not behave as expected
{% endhint %}

{% hint style="info" %}
Please refer to the official ByBit API Docs for the required parameters.

<https://bybit-exchange.github.io/docs/v5/lt/order-record>
{% endhint %}

#### Function name:

```javascript
getPurchaseRedemptionRecords(options)
```

#### Usage:&#x20;

```javascript
import { createExchange } from "./exchanges/exchange.js";

  let myByBitAccount = createExchange({
      exchange: "bybit",
      authenticate: "true",
      key: "myKeys",
      secret: "mySecret",
      label: "bybit",
      testnet: "false"
});

async function getPurchaseRedemptionRecords(exchange, options) {
    try {
        let result = await exchange.getPurchaseRedemptionRecords(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

const result = await getPurchaseRedemptionRecords(myByBitAccount);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.compendium.finance/pendax/using-pendax-sdk/bybit-functions/spot-leverage-token.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
